Bug 160178 - Unable to handle kernel NULL pointer dereference
Unable to handle kernel NULL pointer dereference
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: David Howells
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-12 17:53 EDT by Andreas Thienemann
Modified: 2012-06-20 09:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:27:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Handle case of module signed with unknown key (1.39 KB, patch)
2005-07-13 12:08 EDT, David Howells
no flags Details | Diff

  None (edit)
Description Andreas Thienemann 2005-06-12 17:53:44 EDT
The kernel-2.6.9 crashed on a Tyan S2850 mainboard with an AMD opteron.
Netdump left the following logfile:

Unable to handle kernel NULL pointer dereference at 0000000000000119 RIP:
<ffffffff80202ad0>{mpi_normalize+0}
PML4 9672067 PGD 1389b067 PMD 0
Oops: 0000 [1]
CPU 0
Modules linked in: netconsole netdump i2c_dev i2c_core nfs lockd sunrpc
iptable_filter ip_tables button battery ac ohci_hcd tg3 floppy dm_snapshot
dm_zero dm_mirror ext3 jbd raid1 dm_mod sata_sil libata sd_mod scsi_mod
Pid: 3396, comm: modprobe Not tainted 2.6.9-11.EL
RIP: 0010:[<ffffffff80202ad0>] <ffffffff80202ad0>{mpi_normalize+0}
RSP: 0018:0000010005f83a90  EFLAGS: 00010202
RAX: 0000000000000003 RBX: 0000000000000115 RCX: 000001003e217500
RDX: 0000000000000003 RSI: 0000000000000115 RDI: 0000000000000115
RBP: 000001003e217400 R08: 0000010005f83b90 R09: 00000100119d6610
R10: 0000000098396f1e R11: 0000000039d40971 R12: 000001003e217120
R13: 000001003e217400 R14: 0000000000000000 R15: ffffffff80368a01
FS:  0000002a9589eb00(0000) GS:ffffffff8051eb80(0000) knlGS:00000000f7e936c0
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000000119 CR3: 0000000000101000 CR4: 00000000000006e0
Process modprobe (pid: 3396, threadinfo 0000010005f82000, task 000001000cf75490)
Stack: ffffffff80203503 0000010005f83b90 0000000000000115 0000000000000000
       ffffffff80201825 ffffffff8042dd98 ffffffff8042dd98 0000000000000000
       0000000000000000 0000000000000000
Call Trace:<ffffffff80203503>{mpi_cmp+23} <ffffffff80201825>{DSA_verify+141}
       <ffffffff802007f1>{ksign_verify_signature+830}
<ffffffff8015a007>{module_verify_signature+1839}
       <ffffffff80161303>{file_read_actor+77} <ffffffff801a6673>{update_atime+122}
       <ffffffff801598ad>{module_verify+1713} <ffffffff80156eed>{load_module+247}
       <ffffffff80162d0f>{__generic_file_aio_read+390}
<ffffffff80162ef3>{generic_file_aio_read+48}
       <ffffffff80185b5b>{do_sync_read+173} <ffffffff80172e48>{handle_mm_fault+469}
       <ffffffff801241d5>{do_page_fault+509}
<ffffffff801350f4>{autoremove_wake_function+0}
       <ffffffff80185c56>{vfs_read+207} <ffffffff801583e3>{sys_init_module+111}
       <ffffffff801108c6>{system_call+126}

Code: 8b 57 04 85 d2 74 1f 48 8b 4f 18 48 63 c2 48 83 7c c1 f8 00
RIP <ffffffff80202ad0>{mpi_normalize+0} RSP <0000010005f83a90>
CR2: 0000000000000119
Comment 1 Andreas Thienemann 2005-06-12 17:55:52 EDT
Correction on the kernel version: Of course it was the current kernel-2.6.9-11EL. 
Comment 3 Jason Baron 2005-06-20 16:11:53 EDT
Andreas,

This crash occured during 'modprobe', loading a module. Were you trying to load
any exotic modules, or was it a module that we shipped. thanks.
Comment 4 Andreas Thienemann 2005-06-20 16:34:43 EDT
Yeah, I noticed that the crash is modprobe related. This is a bit irritating as
I never ran modprobe.
I guessed it must have been some script doing so.

But regardless of that: this box has only the shipped modules installed, so I
can rule out any exotic module.
Comment 5 David Howells 2005-07-13 12:08:45 EDT
Created attachment 116713 [details]
Handle case of module signed with unknown key

We have a fix for this, and it should be in U2. I've attached the patch for
your perusal.
Comment 6 Jiri Pallich 2012-06-20 09:27:53 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.